Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Update theme settings

Replaces the theme’s global settings.

PUT/themes/{theme_id}/templates/settings
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
theme_idstringrequired
Theme ID
Request body
requiredapplication/json
settings_jsonstringrequired
JSON string containing the theme settings blob
Responses
200Settings updated; returns the settings template stub
_linksHalLinks
idstring
file_namestring
pathstring
bodystring
Full template source code
is_sectionboolean
schemaobject
Present only when `is_section` is true — the section's configurable schema.
parent_commitstring | null
updated_onstring<date-time>
401Unauthorized
403Access denied
422Validation error
Request
curl -X PUT "https://api.onbolder.com/v2/themes/abc123/templates/settings" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "settings_json": "{\"color\":\"#ff0000\",\"font\":\"Helvetica\"}"
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "file_name": "layout.html",
  "path": "string",
  "body": "string",
  "is_section": true,
  "schema": {},
  "parent_commit": "string",
  "updated_on": "2019-08-24T14:15:22Z"
}